Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Interface IStatsRecorder

All Known Implementing Classes:
  BaseStatsRecorder, ConditionalStatsRecorder, DoNothingStatsRecorder, ListStatsRecorder, LoggingStatsRecorder, MessageStatsRecorder, PrintingStatsRecorder, ThreadFiringStatsRecorder

    public interface IStatsRecorder

Gathers portal usage statistics such as user logins. All the implementors of this interface should handle their own exceptions.

In a multiple-server environment, the `IStatsRecorder` implementation will be called by the portal on each JVM. For such a set-up, the `IStatsRecorder` implementation should probably aggregate statistics on a single server.

Version:
  $Revision: 1.12 $
Author:
  Ken Weiner, kweiner@unicon.net

Method Summary
`void` | `recordChannelAddedToLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being added to a user layout
`void` | `recordChannelDefinitionModified(IPerson person, ChannelDefinition channelDef)` Called when a user modifies an existing channel
`void` | `recordChannelDefinitionPublished(IPerson person, ChannelDefinition channelDef)` Called when a user publishes a channel
`void` | `recordChannelDefinitionRemoved(IPerson person, ChannelDefinition channelDef)` Called when a user removes an existing channel
`void` | `recordChannelInstantiated(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being instantiated
`void` | `recordChannelMovedInLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being moved in a user layout
`void` | `recordChannelRemovedFromLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being removed from a user layout
`void` | `recordChannelRendered(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being rendered
`void` | `recordChannelTargeted(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being targeted
`void` | `recordChannelUpdatedInLayout(IPerson person, UserProfile profile, IUserLayoutChannelDescription channelDesc)` Called when a channel is being updated in a user layout
`void` | `recordFolderAddedToLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being added to a user layout
`void` | `recordFolderMovedInLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being moved in a user layout
`void` | `recordFolderRemovedFromLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being removed from a user layout
`void` | `recordFolderUpdatedInLayout(IPerson person, UserProfile profile, IUserLayoutFolderDescription folderDesc)` Called when a folder is being updated in a user layout
`void` | `recordLogin(IPerson person)` Called when user authenticates successfully.
`void` | `recordLogout(IPerson person)` Called when user logs out.
`void` | `recordSessionCreated(IPerson person)` Called when a new session is created for a user.
`void` | `recordSessionDestroyed(IPerson person)` Called when the user's session is destroyed.

Method Detail

### recordLogin

    void recordLogin(IPerson person)

  Called when user authenticates successfully.

  Parameters:
    `person` - the IPerson object

### recordLogout

    void recordLogout(IPerson person)

  Called when user logs out.

  Parameters:
    `person` - the IPerson object

### recordSessionCreated

    void recordSessionCreated(IPerson person)

  Called when a new session is created for a user.

  Parameters:
    `person` - the IPerson object

### recordSessionDestroyed

    void recordSessionDestroyed(IPerson person)

  Called when the user's session is destroyed. This occurs when the user logs out or his/her session simply times out.

  Parameters:
    `person` - the IPerson object

### recordChannelDefinitionPublished

    void recordChannelDefinitionPublished(IPerson person,
                                          ChannelDefinition channelDef)

  Called when a user publishes a channel

  Parameters:
    `person` - the person pubishing the channel
    `channelDef` - the channel being published

### recordChannelDefinitionModified

    void recordChannelDefinitionModified(IPerson person,
                                         ChannelDefinition channelDef)

  Called when a user modifies an existing channel

  Parameters:
    `person` - the person modifying the channel
    `channelDef` - the channel being modified

### recordChannelDefinitionRemoved

    void recordChannelDefinitionRemoved(IPerson person,
                                        ChannelDefinition channelDef)

  Called when a user removes an existing channel

  Parameters:
    `person` - the person removing the channel
    `channelDef` - the channel being removed

### recordChannelAddedToLayout

    void recordChannelAddedToLayout(IPerson person,
                                    UserProfile profile,
                                    IUserLayoutChannelDescription channelDesc)

  Called when a channel is being added to a user layout

  Parameters:
    `person` - the person adding the channel
    `profile` - the profile of the layout to which the channel is added
    `channelDesc` - the channel being subscribed to

### recordChannelUpdatedInLayout

    void recordChannelUpdatedInLayout(IPerson person,
                                      UserProfile profile,
                                      IUserLayoutChannelDescription channelDesc)

  Called when a channel is being updated in a user layout

  Parameters:
    `person` - the person updating the channel
    `profile` - the profile of the layout in which the channel is updated
    `channelDesc` - the channel being updated

### recordChannelMovedInLayout

    void recordChannelMovedInLayout(IPerson person,
                                    UserProfile profile,
                                    IUserLayoutChannelDescription channelDesc)

  Called when a channel is being moved in a user layout

  Parameters:
    `person` - the person moving the channel
    `profile` - the profile of the layout in which the channel is moved
    `channelDesc` - the channel being moved

### recordChannelRemovedFromLayout

    void recordChannelRemovedFromLayout(IPerson person,
                                        UserProfile profile,
                                        IUserLayoutChannelDescription channelDesc)

  Called when a channel is being removed from a user layout

  Parameters:
    `person` - the person removing the channel
    `profile` - the profile of the layout to which the channel is removed
    `channelDesc` - the channel being removed from a user layout

### recordFolderAddedToLayout

    void recordFolderAddedToLayout(IPerson person,
                                   UserProfile profile,
                                   IUserLayoutFolderDescription folderDesc)

  Called when a folder is being added to a user layout

  Parameters:
    `person` - the person adding the folder
    `profile` - the profile of the layout to which the folder is added
    `folderDesc` - the folder being subscribed to

### recordFolderUpdatedInLayout

    void recordFolderUpdatedInLayout(IPerson person,
                                     UserProfile profile,
                                     IUserLayoutFolderDescription folderDesc)

  Called when a folder is being updated in a user layout

  Parameters:
    `person` - the person updating the folder
    `profile` - the profile of the layout in which the folder is updated
    `folderDesc` - the folder being updated

### recordFolderMovedInLayout

    void recordFolderMovedInLayout(IPerson person,
                                   UserProfile profile,
                                   IUserLayoutFolderDescription folderDesc)

  Called when a folder is being moved in a user layout

  Parameters:
    `person` - the person moving the folder
    `profile` - the profile of the layout in which the folder is moved
    `folderDesc` - the folder being moved

### recordFolderRemovedFromLayout

    void recordFolderRemovedFromLayout(IPerson person,
                                       UserProfile profile,
                                       IUserLayoutFolderDescription folderDesc)

  Called when a folder is being removed from a user layout

  Parameters:
    `person` - the person removing the folder
    `profile` - the profile of the layout to which the folder is removed
    `folderDesc` - the folder being removed from a user layout

### recordChannelInstantiated

    void recordChannelInstantiated(IPerson person,
                                   UserProfile profile,
                                   IUserLayoutChannelDescription channelDesc)

  Called when a channel is being instantiated

  Parameters:
    `person` - the person instantiating the channel
    `profile` - the profile of the layout in which this channel is instantiated
    `channelDesc` - the channel being instantiated

### recordChannelRendered

    void recordChannelRendered(IPerson person,
                               UserProfile profile,
                               IUserLayoutChannelDescription channelDesc)

  Called when a channel is being rendered

  Parameters:
    `person` - the person rendering the channel
    `profile` - the profile of the layout in which this channel is rendered
    `channelDesc` - the channel being rendered

### recordChannelTargeted

    void recordChannelTargeted(IPerson person,
                               UserProfile profile,
                               IUserLayoutChannelDescription channelDesc)

  Called when a channel is being targeted

  Parameters:
    `person` - the person interacting with the channel
    `profile` - the profile of the layout in which this channel resides
    `channelDesc` - the channel being targeted

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD